<?php
/**
 * 長い説明文
 * 
 * @package aowp.aspect.pointcut.designators
 */
/**
 * 短い説明文
 * 
 * 長い説明文
 * 
 * @package aowp.aspect.pointcut.designators
 */
class AOWP_GlobalVariableSetPointcut extends AOWP_StaticPointcut {
	private $_variableName;
	
	/**
	 * Constructor.
	 */
    public function __construct($valName) {
    	$this->_variableName = $valName;
    }
    
    protected function _isJoinPointShadow(AOWP_JoinPoint $joinPoint) {
		return $joinPoint instanceof AOWP_GlobalVariableSetJoinPoint &&
			AOWP_Pointcut::patternMatch($this->_variableName, $joinPoint->getVariableName());
	}
	
}
?>